USE [AJK]
GO

/****** By: Pribadi Pamungkas - [dbo].[func_GetSyaratPemeriksaanKesehatan]    Script Date: 04/10/2013 17:15:10 ******/
SET ANSI_NULLS ON
GO

SET QUOTED_IDENTIFIER ON
GO

ALTER FUNCTION [dbo].[func_GetSyaratPemeriksaanKesehatan](@pi_id_produk varchar(12), @pi_up float, @pi_umur smallint)
RETURNS varchar(500)
BEGIN 
  DECLARE @kode varchar(6),
          @deskripsi varchar(500),
          @Hasil varchar(50)
          
  SET @kode=''
  SET @deskripsi=''
  SET @Hasil=''
  
  SELECT @kode=k.kode, @deskripsi=k.deskripsi 
    FROM  syarat_pemeriksaan_kesehatan s LEFT OUTER JOIN
          keterangan_pemeriksaan_kesehatan k ON s.kode=k.kode
    WHERE s.id_produk=@pi_id_produk AND
          (s.uang_pertanggungan_awal<=@pi_up AND s.uang_pertanggungan_akhir>=@pi_up) AND
          (s.umur_awal<=@pi_umur AND s.umur_akhir>=@pi_umur)
          
  IF @kode = 'X' OR @kode = 'A'
    SET @Hasil = @deskripsi
  ELSE
    SET @Hasil = 'Pemeriksaan Kesehatan Tipe ' + @kode

  RETURN(@Hasil)
END

GO


